# MODX Revolution

[![Build Status](https://travis-ci.org/modxcms/revolution.svg?branch=2.x)](https://travis-ci.org/modxcms/revolution) [![Slack Status](https://modx.org/badge.svg)](https://modx.org)

## Content Management System and Application Framework

MODX lets you power anything from multi-language, multi-domain corporate sites to personal blogs to mobile APIs. Delivering true creative freedom and removing all restrictions, it lets you control the markup and design without having to code. You can also tailor its modular and extensible core to accommodate virtually any custom requirement or amount of traffic. MODX is the free open source software that meets your needs today—and tomorrow.

### Latest Changes

For details read the [complete changelog](./core/docs/changelog.txt "complete changelog")

### Getting Started

Here's what you need to get started installing or upgrading MODX Revoluton:

+ [Download MODX Revolution](http://modx.com/download/ "Download MODX")
+ [What's required to run MODX Revolution](http://rtfm.modx.com/revolution/2.x/getting-started/server-requirements "Server Requirements - MODx Revolution 2.x - MODx Documentation")
+ [How to install MODX Revolution](http://rtfm.modx.com/revolution/2.x/getting-started/installation/basic-installation "Basic Installation - MODx Revolution 2.x - MODx Documentation")
+ [Install MODX via git](http://rtfm.modx.com/revolution/2.x/getting-started/installation/git-installation "Git Installation - MODx Revolution 2.x - MODx Documentation")
+ [How to upgrade MODX Revolution](http://rtfm.modx.com/revolution/2.x/administering-your-site/upgrading-modx "Upgrading MODx - MODx Revolution 2.x - MODx Documentation")
+ [Read the MODX Revolution Documentation](http://rtfm.modx.com/revolution/2.x/ "Home - MODx Revolution 2.x - MODx Documentation")

### Other Important Stuff

MODX is only as good as it is because of many individual community members and users that take the time to [report issues and request new features](https://github.com/modxcms/revolution/issues "MODX Github Issues"). Make sure you [read the documentation](http://rtfm.modx.com/revolution/2.x/ "Home - MODx Revolution 2.x - MODx Documentation"), [post feedback and share your successes](http://forums.modx.com/board/?board=264 "MODX :: Revolution 2.2") in the MODX community forums. To join us in the quest for *Creative Freedom*, [become a Contributor](http://rtfm.modx.com/community/). You can [contribute using GitHub](http://rtfm.modx.com/community/contribute/using-git-and-github/ "Contribute to MODX via GitHub")

On behalf of the entire MODX Team,

Thank you for using MODX!

### Copyright

MODX Revolution is copyright 2006-2016 by MODX, LLC.

All rights reserved.

### License

MODX Revolution is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

[GNU General Public License v2](./core/docs/license.txt "GNU General Public License v2")
